#
# spec file for package libxfcegui4 (Version 4.4.1)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl atk atk-devel attr audit-libs autoconf automake bash binutils bzip2 cairo cairo-devel coreutils cpio cpp cpp42 cracklib cups-libs cvs dbh dbus-1 dbus-1-devel desktop-translations diffutils file filesystem fillup findutils fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc42 gdbm gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel grep groff gtk2 gtk2-devel gzip hicolor-icon-theme info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libdrm libexpat-devel libexpat1 libgcc42 libgomp42 libjpeg libltdl-3 libmudflap42 libopenssl0_9_8 libpng libpng-devel libreadline5 libstdc++-devel libstdc++42 libstdc++42-devel libtiff3 libtool libuuid1 libvolume_id libxcrypt libxfce4util libxfce4util-devel libxml2 libxml2-devel libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg openssl-certs pam pam-modules pango pango-devel patch pcre pcre-devel perl perl-base permissions pkg-config popt rpm sed sysvinit tar texinfo timezone update-desktop-files util-linux xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxcb xorg-x11-libxcb-devel xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel

Name:           libxfcegui4
BuildRequires:  dbh dbus-1-devel gtk2-devel libxml2-devel update-desktop-files
BuildRequires:  libxfce4util-devel >= 4.3
Summary:        Various GTK Widgets for Xfce
Version:        4.4.1
Release:        55.2
License:        LGPL v2.1 or later
Url:            http://www.xfce.org/
Source0:        %{name}-%{version}.tar.bz2
Patch0:         %{name}-%{version}-overflow_349155.patch
Group:          Development/Libraries/Other
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       gtk2
Requires:       libxfce4util >= 4.3

%description
Various GTK widgets for xfce4.



Authors:
--------
    Olivier Fourdan <fourdan@xfce.org>
    Jasper Huijsmans <huysmans@users.sourceforge.net>

%debug_package
%package devel
Requires:       libxfcegui4 = %{version}
Requires:       libxfce4util-devel >= 4.3
Requires:       gtk2-devel atk-devel cairo-devel freetype2-devel xorg-x11-devel zlib-devel glitz-devel
Summary:        Various GTK Widgets for Xfce
Group:          Development/Libraries/Other
AutoReqProv:    on
PreReq:         %install_info_prereq

%description devel
Various GTK widgets for xfce4.



Authors:
--------
    Olivier Fourdan <fourdan@xfce.org>
    Jasper Huijsmans <huysmans@users.sourceforge.net>

%prep
%setup -q
%patch0

%build
autoconf
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%configure \
    --enable-xinerama \
    --enable-startup-notification \
    --disable-static
make %{?jobs:-j%jobs}

%install
make DESTDIR="$RPM_BUILD_ROOT" install

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README INSTALL ChangeLog NEWS
%{_libdir}/*.*so*
%dir %{_datadir}/icons/hicolor
%dir %{_datadir}/icons/hicolor/48x48
%dir %{_datadir}/icons/hicolor/48x48/apps
%dir %{_datadir}/icons/hicolor/scalable
%dir %{_datadir}/icons/hicolor/scalable/apps
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/locale/*/*/*

%files devel
%defattr(-, root, root)
%{_libdir}/pkgconfig/*
%{_libdir}/*.*a
%dir %{_includedir}/xfce4
%dir %{_includedir}/xfce4/libxfcegui4
%{_includedir}/xfce4/libxfcegui4/*
%{_datadir}/gtk-doc/html/libxfcegui4

%changelog
* Tue Jan 08 2008 - prusnak@suse.cz
- fix overflows (overflow_349155.patch) [#349155]
* Tue May 29 2007 - bwalle@suse.de
- disabled KDE proxy since it breaks applications that want to
  hide their application icon (and I only know one non-KDE,
  Java application that actually needs it -- and that application
  needs to be fixed anyway)
* Tue Apr 10 2007 - bwalle@suse.de
- update to 4.4.1
  o Change 2 GPL headers to LGPL.
  o Test for support of -Wall, -Werror and -errwarn=%%all.
  o Many translation updates.
* Wed Feb 07 2007 - sbrabec@suse.cz
- Do not build unusable static libraries (#238552).
* Thu Jan 25 2007 - stbinner@suse.de
- fix build
* Sun Jan 21 2007 - bwalle@suse.de
- upgraded to 4.4.0
* Sat Jan 20 2007 - bwalle@suse.de
- fixed build again (removed /usr/share/locale/hy)
* Fri Jan 19 2007 - bwalle@suse.de
- fixed build (removed /usr/share/locale/hy/LC_MESSAGES)
* Thu Jan 18 2007 - pnemec@suse.cz
- remove selfprovides
* Tue Nov 07 2006 - bwalle@suse.de
- fixed KDE systray bug
* Sun Nov 05 2006 - bwalle@suse.de
- updated to 4.3.99.2 (4.4 rc2)
* Tue Oct 03 2006 - bwalle@suse.de
- enable KDE systray support for tvbrowser (temporary solution, as soon as
  tvbrowser is fixed this should be removed as I don't know any other application
  that still uses parts of the KDE protocol)
* Tue Sep 05 2006 - pnemec@suse.cz
- updated to new version 4.3.99.1
* Thu Aug 24 2006 - pnemec@suse.cz
- added dbus-devel to build requires
* Wed Aug 02 2006 - pnemec@suse.cz
- initial comment, version is 4.3.90.2
- package moved into BuildService
- no patch needed
* Thu Jul 06 2006 - cthiel@suse.de
- fix build
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 18 2006 - pnemec@suse.cz
- fixed owning of directory locale/hy
* Mon Jan 16 2006 - pnemec@suse.cz
- updated to 4.2.3
* Wed Sep 14 2005 - cthiel@suse.de
- specfile cleanup
* Tue Aug 16 2005 - ltinkl@suse.cz
- fix taskbar text exceeding the length of the button (#104022)
* Mon Aug 01 2005 - cthiel@suse.de
- fixed Requires
* Wed May 18 2005 - cthiel@suse.de
- fixed filelist
* Wed May 18 2005 - cthiel@suse.de
- update to 4.2.2
* Mon Apr 11 2005 - cthiel@suse.de
- update to 4.2.1
- added libxfcegui4-gcc4.diff
* Wed May 12 2004 - ltinkl@suse.cz
- initial version
